No FF 3.0 version Rated 1 out of 5 stars

Can you please update the plugin?

Thanks
David

This review is for a previous version of the add-on (0.8).